<?
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


//
// This file is the main LMS configuration file used by every component
// Please edit it carefully
//


	// Network Name
	$config[network]="MyNetworkName";
	// URL where the LMS User Web Interface can be found
	$config[u-wi_urll]="https://www.mydomain.com/LMS/U-WI/";
	// Mail of the LMS administrator
	$config[adminmail]="root@mydomain.com";

	// Which group of users is considered as a friendly group (opposed to real members)
	$config[friend_group]="myfriends";
	// Which info to display with the Nick/Name in the trombinoscope (display name & ldap key)
	$config[member_quickinfo_name]="Room Number";
	$config[member_quickinfo_key]="roomnumber";

	// Where to go when logging out
	$config[exiturl]="/";

	// LDAP config
	$config[server]="ldap://ldap.mydomain.com";   // you can use ldap://ldaps.mydomain.com for LDAPS connexions (StartTLS not supported)
	$config[base]="dc=mydomain,dc=com";
	$config[login]="uid=guest,ou=ServiceUsers,ou=Users,".$config[base];
	$config[passwd]="guestpasswd";

	// Containers'name
	$config[containers]=array(
		"User" => "Users",
		"Common User" => "CommonUsers",
		"Admin User" => "AdminUsers",
		"Service User" => "ServiceUsers",
		"Group" => "Groups",
		"Unix Group" => "UnixGroups",
		"Adsl Group" => "AdslGroups",
		"Host" => "Hosts",
		"Common Host" => "CommonHosts",
		"Server Host" => "ServerHosts",
		"Service" => "Services",
		"Document" => "Documentation"
		);

	// Available shells
	$config[allowed_shells]=array(	array("None", "Bash", "Csh", "Ksh", "Zsh"),
					array("/bin/false", "/bin/bash", "/bin/csh", "/usr/bin/ksh", "/usr/bin/zsh")
					);
	// Available protos
	$config[protocol_list]=array("TCP/UDP", "TCP", "UDP", "IP");

	// Name of LMS objectclass (DO NOT CHANGE THIS if you are not sure of what you are doing)
	$config[objectclass_commonhost]="lmsCommonHost";
	$config[objectclass_serverhost]="lmsServerHost";
	$config[objectclass_service]="lmsService";
	$config[objectclass_unixgroup]="lmsUnixGroup";
	$config[objectclass_adslgroup]="";
	$config[objectclass_commonuser]="lmsCommonUser";
	$config[objectclass_serviceuser]="lmsServiceUser";
	$config[objectclass_adminuser]="lmsAdminUser";

	// Physical path where to store photos (be sure apache has read and write access in this directory)
	$config[photospath]="/www/photos_coinnetwork";

	// Integrate into Xoops (V1 only)
	// Amount of the network contribution
	$config[contribution]="10$";

	$config[xoops_output]=true;
	$config[xoops_path]="/www/xoops/html";
?>
